SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::uint24_t Struct Reference

`#include <slikenet/types.h>`

## Public Member Functions

| uint24_t ()
| operator uint32_t ()
| operator uint32_t () const
| uint24_t (const uint24_t &a)
uint24_t | operator++ ()
uint24_t | operator-- ()
uint24_t | operator++ (int)
uint24_t | operator-- (int)
uint24_t | operator& (const uint24_t &a)
uint24_t & | operator= (const uint24_t &a)
uint24_t & | operator+= (const uint24_t &a)
uint24_t & | operator-= (const uint24_t &a)
bool | operator== (const uint24_t &right) const
bool | operator!= (const uint24_t &right) const
bool | operator> (const uint24_t &right) const
bool | operator< (const uint24_t &right) const
const uint24_t | operator+ (const uint24_t &other) const
const uint24_t | operator- (const uint24_t &other) const
const uint24_t | operator/ (const uint24_t &other) const
const uint24_t | operator* (const uint24_t &other) const
| uint24_t (const uint32_t &a)
uint24_t | operator& (const uint32_t &a)
uint24_t & | operator= (const uint32_t &a)
uint24_t & | operator+= (const uint32_t &a)
uint24_t & | operator-= (const uint32_t &a)
bool | operator== (const uint32_t &right) const
bool | operator!= (const uint32_t &right) const
bool | operator> (const uint32_t &right) const
bool | operator< (const uint32_t &right) const
const uint24_t | operator+ (const uint32_t &other) const
const uint24_t | operator- (const uint32_t &other) const
const uint24_t | operator/ (const uint32_t &other) const
const uint24_t | operator* (const uint32_t &other) const

## Public Attributes

uint32_t | val

## Detailed Description

Definition at line 470 of file types.h.

## Constructor & Destructor Documentation

SLNet::uint24_t::uint24_t | ( |  | ) |

inline

Definition at line 474 of file types.h.

SLNet::uint24_t::uint24_t | ( | const uint24_t & | a | ) |

inline

Definition at line 478 of file types.h.

References val.

SLNet::uint24_t::uint24_t | ( | const uint32_t & | a | ) |

inline

Definition at line 496 of file types.h.

## Member Function Documentation

SLNet::uint24_t::operator uint32_t | ( |  | ) |

inline

Definition at line 475 of file types.h.

SLNet::uint24_t::operator uint32_t | ( |  | ) | const

inline

Definition at line 476 of file types.h.

bool SLNet::uint24_t::operator!= | ( | const uint24_t & | right | ) | const

inline

Definition at line 488 of file types.h.

References val.

bool SLNet::uint24_t::operator!= | ( | const uint32_t & | right | ) | const

inline

Definition at line 502 of file types.h.

uint24_t SLNet::uint24_t::operator& | ( | const uint24_t & | a | ) |

inline

Definition at line 483 of file types.h.

References val.

uint24_t SLNet::uint24_t::operator& | ( | const uint32_t & | a | ) |

inline

Definition at line 497 of file types.h.

const uint24_t SLNet::uint24_t::operator* | ( | const uint24_t & | other | ) | const

inline

Definition at line 494 of file types.h.

References val.

const uint24_t SLNet::uint24_t::operator* | ( | const uint32_t & | other | ) | const

inline

Definition at line 508 of file types.h.

const uint24_t SLNet::uint24_t::operator+ | ( | const uint24_t & | other | ) | const

inline

Definition at line 491 of file types.h.

References val.

const uint24_t SLNet::uint24_t::operator+ | ( | const uint32_t & | other | ) | const

inline

Definition at line 505 of file types.h.

uint24_t SLNet::uint24_t::operator++ | ( |  | ) |

inline

Definition at line 479 of file types.h.

uint24_t SLNet::uint24_t::operator++ | ( | int |  | ) |

inline

Definition at line 481 of file types.h.

uint24_t& SLNet::uint24_t::operator+= | ( | const uint24_t & | a | ) |

inline

Definition at line 485 of file types.h.

References val.

uint24_t& SLNet::uint24_t::operator+= | ( | const uint32_t & | a | ) |

inline

Definition at line 499 of file types.h.

const uint24_t SLNet::uint24_t::operator- | ( | const uint24_t & | other | ) | const

inline

Definition at line 492 of file types.h.

References val.

const uint24_t SLNet::uint24_t::operator- | ( | const uint32_t & | other | ) | const

inline

Definition at line 506 of file types.h.

uint24_t SLNet::uint24_t::operator-- | ( |  | ) |

inline

Definition at line 480 of file types.h.

uint24_t SLNet::uint24_t::operator-- | ( | int |  | ) |

inline

Definition at line 482 of file types.h.

uint24_t& SLNet::uint24_t::operator-= | ( | const uint24_t & | a | ) |

inline

Definition at line 486 of file types.h.

References val.

uint24_t& SLNet::uint24_t::operator-= | ( | const uint32_t & | a | ) |

inline

Definition at line 500 of file types.h.

const uint24_t SLNet::uint24_t::operator/ | ( | const uint24_t & | other | ) | const

inline

Definition at line 493 of file types.h.

References val.

const uint24_t SLNet::uint24_t::operator/ | ( | const uint32_t & | other | ) | const

inline

Definition at line 507 of file types.h.

bool SLNet::uint24_t::operator< | ( | const uint24_t & | right | ) | const

inline

Definition at line 490 of file types.h.

References val.

bool SLNet::uint24_t::operator< | ( | const uint32_t & | right | ) | const

inline

Definition at line 504 of file types.h.

uint24_t& SLNet::uint24_t::operator= | ( | const uint24_t & | a | ) |

inline

Definition at line 484 of file types.h.

References val.

uint24_t& SLNet::uint24_t::operator= | ( | const uint32_t & | a | ) |

inline

Definition at line 498 of file types.h.

bool SLNet::uint24_t::operator== | ( | const uint24_t & | right | ) | const

inline

Definition at line 487 of file types.h.

References val.

bool SLNet::uint24_t::operator== | ( | const uint32_t & | right | ) | const

inline

Definition at line 501 of file types.h.

bool SLNet::uint24_t::operator> | ( | const uint24_t & | right | ) | const

inline

Definition at line 489 of file types.h.

References val.

bool SLNet::uint24_t::operator> | ( | const uint32_t & | right | ) | const

inline

Definition at line 503 of file types.h.

## Member Data Documentation

uint32_t SLNet::uint24_t::val

Definition at line 472 of file types.h.

Referenced by SLNet::ReliabilityLayer::HandleSocketReceiveFromConnectedPlayer(), operator!=(), operator&(), operator*(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator<(), operator=(), operator==(), operator>(), SLNet::BitStream::Read(), uint24_t(), SLNet::ReliabilityLayer::Update(), and SLNet::BitStream::Write().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/types.h